import pyglet
from pyglet import resource

import base
import data


class Powerup(base.CollideSprite):
	collide_type = "powerup"
	
	mass = 0.5
	friction = 1
	radius = 16
	
	def __init__(self, img, batch=None):
		super(Powerup, self).__init__(img, batch=batch)
		
	def collide(self, into):
		if (into == data.player):
			self.apply()
			self.die()
			
			return True
		return False
	
	def apply(self):
		pass
	

	def update(self, dt):
		pass

class HealthPowerup(Powerup):
	def __init__(self, batch=None):
		img = resource.image(data.filepath('power_health.png'))
		super(HealthPowerup, self).__init__(img, batch=batch)
	
	def apply(self):
		data.player.health += 25
		
		
